Bug 509748 - missing dependency python-inotify
missing dependency python-inotify
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 14:12 EDT by Matěj Cepl
Modified: 2009-07-11 13:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-07-05 14:12:51 EDT
Description of problem:
bradford:~$ listen
Traceback (most recent call last):
  File "listen", line 77, in <module>
    from vfs import makedirs
  File "/usr/lib64/listen/vfs/__init__.py", line 24, in <module>
    from vfs.monitor import FileMonitor
  File "/usr/lib64/listen/vfs/monitor.py", line 27, in <module>
    from pyinotify import ThreadedNotifier, WatchManager, ProcessEvent, EventsCodes
ImportError: No module named pyinotify

Version-Release number of selected component (if applicable):
listen-0.6.2-1.fc11.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Haïkel Guémar 2009-07-05 15:01:40 EDT
Hi, this will be fixed in the next build (fc10, fc11, devel) by adding python-inotify as dependency. 
I have re-checked the package and there shouldn't have any other missing dependencies. But could you try a "yum install python-inotify" and tell me if it fixes your problem.

Thank you for reporting that issue.
Comment 2 Matěj Cepl 2009-07-05 19:32:27 EDT
(In reply to comment #1)
> Hi, this will be fixed in the next build (fc10, fc11, devel) by adding
> python-inotify as dependency. 
> I have re-checked the package and there shouldn't have any other missing
> dependencies. But could you try a "yum install python-inotify" and tell me if
> it fixes your problem.

Of course I did install python-inotify and it works like a charm. Thank you.
Comment 3 Fedora Update System 2009-07-06 05:40:03 EDT
listen-0.6.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/listen-0.6.2-2.fc11
Comment 4 Fedora Update System 2009-07-06 05:41:11 EDT
listen-0.6.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/listen-0.6.2-2.fc10
Comment 5 Fedora Update System 2009-07-11 13:20:58 EDT
listen-0.6.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-11 13:32:17 EDT
listen-0.6.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.